@echo off

if "%1" == "clean" (
	del buildchk_wxp_x86.log 2> NUL
	del buildfre_wxp_x86.log 2> NUL
	del buildchk_wxp_x86.err 2> NUL
	del buildfre_wxp_x86.err 2> NUL
	rmdir /s /q objchk_wxp_x86 2> NUL
	rmdir /s /q objfre_wxp_x86 2> NUL
	rmdir /s /q obj 2> NUL
	exit /b
)

build -nmake /a
if errorlevel 1 (
	echo +++ ERROR
	exit /b
)
if "%1" == "install" (
	copy obj%DDKBUILDENV%_wxp_x86\i386\*.sys %WINDIR%\system32\drivers
)
echo +++ OK
